#include "rvp.h"
#include "y.tab.h"
char *get_tok_name(int t)
{
    static char cbuf[2];
    switch (t)
    {
	case ID:
	    return "ID";
	case INT_CONST:
	    return "INT_CONST";
	case REAL_CONST:
	    return "REAL_CONST";
	case BOOL_CONST:
	    return "BOOL_CONST";
	case STRING:
	    return "STRING";
	case IF:
	    return "IF";
	case THEN:
	    return "THEN";
	case ELSE:
	    return "ELSE";
	case BEGIN_:
	    return "BEGIN_";
	case END:
	    return "END";
	case WHILE:
	    return "WHILE";
	case DO:
	    return "DO";
	case VAR:
	    return "VAR";
	case PROGRAM:
	    return "PROGRAM";
	case INTEGER:
	    return "INTEGER";
	case REAL:
	    return "REAL";
	case BOOLEAN:
	    return "BOOLEAN";
	case CHAR:
	    return "CHAR";
	case ASSIGN:
	    return "ASSIGN";
	case NE:
	    return "NE";
	case GE:
	    return "GE";
	case LE:
	    return "LE";
	case OR:
	    return "OR";
	case DIV:
	    return "DIV";
	case MOD:
	    return "MOD";
	case AND:
	    return "AND";
	case NOT:
	    return "NOT";
	default:
		cbuf[0] = (char) t;
		cbuf[1] = '\0';
	    return cbuf;
    }
}
